<?php

namespace App\Enums;

enum StockStatusEnum: string
{
    case InStock = 'in_stock';
    case OutOfStock = 'out_of_stock';

    public function label(): string
    {
        return match ($this) {
            self::InStock => 'Raktáron',
            self::OutOfStock => 'Nincs raktáron',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::InStock => 'success',
            self::OutOfStock => 'danger',
        };
    }
}
